Function
convertAlignment
Converts an alignment graph into an alignment matrix.
convertAlignment(g, component, order, compLength)
convertAlignment(g, matrix)
Include Headers
seqan/graph_align.h
Parameters

g | Alignment graph to convert. In-parameter: An alignment graph. Types: Alignment Graph
component | Vertex to component mapping.
order | The order of the component graph when sorting topologically.
compLength | Component sizes.
matrix | Out-parameter: A string that represents an alignment matrix.

Remarks
The variant with component and order computes a topological sorting of connected components.
Return Values
A bool that is true iff the alignment graph is a valid alignment
Member of
Alignment Graph
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58